import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { SdsDialogService } from '@gsa-sam/components';
import { FormlyFieldConfig, FormlyFormOptions } from '@ngx-formly/core';
import { SdsAdvancedFiltersService } from './sds-advanced-filters.service';
import * as i0 from "@angular/core";
export declare class AdvancedFiltersComponent implements OnInit {
    dialog: SdsDialogService;
    private advancedFiltersService;
    private cdr;
    /**
     * Pass in a Form Group for ReactiveForms Support
     */
    form: UntypedFormGroup;
    /**
     *  Fields are used to configure the UI components
     */
    fields: FormlyFieldConfig[];
    /**
     *  Model used to display the filter values.
     */
    model: any;
    /**
     *    Options for the form.
     */
    options: FormlyFormOptions;
    /**
     * Sort the filters by alphabetical order
     */
    sortMoreFilterBy: string;
    /**
     * Show option to include inactive filter values
     */
    isInactiveValueFieldShown: boolean;
    /**
     * Defines whether additional filters should be displayed through a popover or
     * a modal
     */
    enablePopover: boolean;
    showInactiveFiltersChange: EventEmitter<boolean>;
    selectAll: boolean;
    showInactiveOnOpen: boolean;
    showInactive: boolean;
    popoverContent: FormlyFieldConfig[];
    readonly filtersFieldGroupKey = "filters";
    constructor(dialog: SdsDialogService, advancedFiltersService: SdsAdvancedFiltersService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    onSelectAllChange(selectAllValue: any, selectedform: any, isOnload: any, selectAllField: any): void;
    onShowInactiveChange(value: any): void;
    openDialog(): void;
    updateSelectedFields(result: any): void;
    getCheckboxFieldConfigs(hideChildrenGroups?: boolean): FormlyFieldConfig<import("@ngx-formly/core").FormlyFieldProps & {
        [additionalProperties: string]: any;
    }>[];
    get filedGroup(): FormlyFieldConfig[];
    get showInactiveGroup(): FormlyFieldConfig[];
    static ɵfac: i0.ɵɵFactoryDeclaration<AdvancedFiltersComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AdvancedFiltersComponent, "sds-advanced-filters", never, { "form": { "alias": "form"; "required": false; }; "fields": { "alias": "fields"; "required": false; }; "model": { "alias": "model"; "required": false; }; "options": { "alias": "options"; "required": false; }; "sortMoreFilterBy": { "alias": "sortMoreFilterBy"; "required": false; }; "isInactiveValueFieldShown": { "alias": "isInactiveValueFieldShown"; "required": false; }; "enablePopover": { "alias": "enablePopover"; "required": false; }; }, { "showInactiveFiltersChange": "showInactiveFiltersChange"; }, never, never, false, never>;
}
