import { OnDestroy, OnInit } from '@angular/core';
import { UsaStepIndicatorComponent } from '@gsa-sam/ngx-uswds';
import { Subscription } from 'rxjs';
import { SdsStepComponent, SdsStepper } from './sds-stepper';
import * as i0 from "@angular/core";
/** Button that moves to the next step in a stepper workflow. */
export declare class SdsStepperNextDirective {
    _stepper: SdsStepper;
    constructor(_stepper: SdsStepper);
    _handleClick(): void;
    _disabled(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<SdsStepperNextDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SdsStepperNextDirective, "[sdsStepperNext]", never, {}, {}, never, never, false, never>;
}
/** Button that moves to the next step in a stepper workflow. */
export declare class SdsStepperPreviousDirective {
    _stepper: SdsStepper;
    constructor(_stepper: SdsStepper);
    _handleClick(): void;
    _disabled(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<SdsStepperPreviousDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SdsStepperPreviousDirective, "[sdsStepperPrevious]", never, {}, {}, never, never, false, never>;
}
/** Button that moves to the next step in a stepper workflow. */
export declare class SdsStepperSaveDirective {
    _stepper: SdsStepper;
    constructor(_stepper: SdsStepper);
    _handleClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SdsStepperSaveDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SdsStepperSaveDirective, "[sdsStepperSave]", never, {}, {}, never, never, false, never>;
}
/** Button that moves to the next step in a stepper workflow. */
export declare class SdsStepperNavDirective {
    _stepper: SdsStepper;
    sdsStepperNav: SdsStepComponent;
    constructor(_stepper: SdsStepper);
    _handleClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SdsStepperNavDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SdsStepperNavDirective, "[sdsStepperNav]", never, { "sdsStepperNav": { "alias": "sdsStepperNav"; "required": false; }; }, {}, never, never, false, never>;
}
/**
 * Directive designed for when using ngx-uswds' step indicator component
 * with sds stepper. This directive manages internal sync of usa-step-indicator
 * and sds stepper steps such that when a step changes in one component, it is
 * accurately reflected on the other
 *
 * usage example:
 * Inside the template of a component that extends SdsStepper -
 *  <usa-step-indicator sdsStepperUSWDSNav> </usa-step-indicator>
 */
export declare class SdsStepperUSWDSNavDirective implements OnInit, OnDestroy {
    _stepper: SdsStepper;
    private _el;
    constructor(_stepper: SdsStepper, _el: UsaStepIndicatorComponent);
    stepChangeSubscriptions: Subscription;
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SdsStepperUSWDSNavDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SdsStepperUSWDSNavDirective, "usa-step-indicator [sdsStepperUSWDSNav]", never, {}, {}, never, never, false, never>;
}
