import { ModuleWithProviders } from '@angular/core';
import { FormlyFieldConfig, ConfigOption } from '@ngx-formly/core';
import { MatDateFormats } from '@angular/material/core';
import * as i0 from "@angular/core";
import * as i1 from "./types/input";
import * as i2 from "./types/checkbox";
import * as i3 from "./types/fileinfo";
import * as i4 from "./types/radio";
import * as i5 from "./types/select";
import * as i6 from "./types/textarea";
import * as i7 from "./types/multicheckbox";
import * as i8 from "./wrappers/form-field.wrapper";
import * as i9 from "./wrappers/form-field.accordian";
import * as i10 from "./types/autocomplete";
import * as i11 from "./types/datepicker";
import * as i12 from "./types/daterangepicker";
import * as i13 from "./wrappers/form-field.filterwrapper";
import * as i14 from "./types/button";
import * as i15 from "./wrappers/label.wrapper";
import * as i16 from "./wrappers/description.wrapper";
import * as i17 from "./wrappers/validation.wrapper";
import * as i18 from "./types/text";
import * as i19 from "./wrappers/group.wrapper";
import * as i20 from "./types/search";
import * as i21 from "./wrappers/readonly.wrapper";
import * as i22 from "./types/file-input";
import * as i23 from "./wrappers/tabs.wrapper";
import * as i24 from "./types/table";
import * as i25 from "./types/editor";
import * as i26 from "./types/rich-text";
import * as i27 from "./types/step-arrow";
import * as i28 from "./wrappers/form-field.animation";
import * as i29 from "@angular/common";
import * as i30 from "@gsa-sam/ngx-uswds";
import * as i31 from "@angular/material/expansion";
import * as i32 from "@gsa-sam/components";
import * as i33 from "@angular/material/core";
import * as i34 from "@angular/material/datepicker";
import * as i35 from "@gsa-sam/sam-material-extensions";
import * as i36 from "@angular/material/input";
import * as i37 from "@gsa-sam/ngx-uswds-icons";
import * as i38 from "@angular/forms";
import * as i39 from "@ngx-formly/core/select";
import * as i40 from "./readonly/readonly.module";
import * as i41 from "ngx-bootstrap-icons";
import * as i42 from "@ngx-formly/core";
export declare function minLengthValidationMessage(err: any, field: any): string;
export declare function maxLengthValidationMessage(err: any, field: any): string;
export declare function minValidationMessage(err: any, field: FormlyFieldConfig): string;
export declare function minDateValidationMessage(err: any, field: FormlyFieldConfig): string;
export declare function maxDateValidationMessage(err: any, field: FormlyFieldConfig): string;
export declare function betweenDateValidationMessage(err: any, field: FormlyFieldConfig): string;
export declare function invalidDateFormatValidationMessage(err: any, field: FormlyFieldConfig): string;
export declare function requireOrInvalidDateFormat(err: any, field: FormlyFieldConfig): "Valid date format required (ex: MM/DD/YYYY)" | "This field is required";
export declare function matDatepickerMinValidationMessage(err: any, field: FormlyFieldConfig): string;
export declare function matDatepickerMaxValidationMessage(err: any, field: FormlyFieldConfig): string;
export declare function matDateInBetweenValidationMessage(err: any, field: FormlyFieldConfig): string;
export declare function maxValidationMessage(err: any, field: any): string;
export declare function animationExtension(field: FormlyFieldConfig): void;
export { maxDateValidator, minDateValidator, dateRangeValidator, multiCheckboxRequired } from './formly.validators';
export declare const DATE_FORMAT: MatDateFormats;
export declare class SdsFormlyModule {
    static forChild(config?: ConfigOption): ModuleWithProviders<SdsFormlyModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SdsFormlyModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<SdsFormlyModule, [typeof i1.FormlyFieldInputComponent, typeof i2.FormlyFieldCheckboxComponent, typeof i3.FormlyFieldFileInfoComponent, typeof i4.FormlyFieldRadioComponent, typeof i5.FormlyFieldSelectComponent, typeof i6.FormlyFieldTextAreaComponent, typeof i7.FormlyFieldMultiCheckboxComponent, typeof i8.FormlyWrapperFormFieldComponent, typeof i9.FormlyAccordianFormFieldComponent, typeof i10.FormlyFieldAutoCompleteComponent, typeof i11.FormlyFieldDatePickerComponent, typeof i12.FormlyFieldDateRangePickerComponent, typeof i13.FormlyFormFieldFilterWrapperComponent, typeof i14.FormlyFieldButtonComponent, typeof i15.FormlyLabelWrapperComponent, typeof i16.FormlyDescriptionWrapperComponent, typeof i17.FormlyValidationWrapperComponent, typeof i18.FormlyFieldTextComponent, typeof i19.FormlyGroupWrapperComponent, typeof i20.FormlyFieldSearchComponent, typeof i21.FormlyReadonlyWrapperComponent, typeof i22.FormlyFieldFileInputComponent, typeof i23.FormlyTabsWrapperComponent, typeof i24.FormlyFieldTableComponent, typeof i25.FormlyFieldEditorComponent, typeof i26.FormlyFieldRichTextEditorComponent, typeof i27.FormlyFieldStepArrowComponent, typeof i28.AnimationWrapperComponent], [typeof i29.CommonModule, typeof i30.UsaAccordionModule, typeof i31.MatExpansionModule, typeof i32.SdsAutocompleteModule, typeof i32.SdsDialogModule, typeof i32.SdsSearchModule, typeof i32.SdsTextModule, typeof i32.SdsEditorModule, typeof i32.SdsCollapseModule, typeof i33.MatNativeDateModule, typeof i34.MatDatepickerModule, typeof i35.SdsTableModule, typeof i36.MatInputModule, typeof i37.IconModule, typeof i38.ReactiveFormsModule, typeof i39.FormlySelectModule, typeof i40.SdsReadonlyModule, typeof i38.FormsModule, typeof i30.UsaFileInputModule, typeof i32.SdsTooltipModule, typeof i35.SdsTableModule, typeof i32.SdsTabsModule, typeof i32.SdsPopoverModule, typeof i32.SdsRichTextModule, typeof i32.SdsStepArrowModule, typeof i41.NgxBootstrapIconsModule, typeof i42.FormlyModule, typeof i42.FormlyModule], never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<SdsFormlyModule>;
}
