import { UntypedFormControl, ValidationErrors } from '@angular/forms';
import { FormlyFieldConfig } from '@ngx-formly/core';
/**
 *
 * @param control
 * @param field
 */
export declare function minDateValidator(control: UntypedFormControl, field: FormlyFieldConfig): ValidationErrors;
/**
 * Usage:
 *  Override the required validator to allow autocompletes to behave more like
 *  the other inputs regarding error messages
 *
 // In the formly config
 {
      type: 'autocomplete',
      props: {
        required: true,
      },
      validators: {
        required: autocompleteRequired
      },
 */
export declare function autocompleteRequired(control: UntypedFormControl): ValidationErrors;
/**
 * Usage:
 *  Override the required validator to allow multicheckbox to behave more like required atleast one item is selected
 *  the other inputs regarding error messages
 *
 In the formly config
 {
      type: 'multicheckbox',
      props: {
        required: true,
      },
      validators: {
        required: multiCheckboxRequired
      },
 */
export declare function multiCheckboxRequired(control: UntypedFormControl): ValidationErrors;
/**
 *
 * @param control
 * @param field
 */
export declare function maxDateValidator(control: UntypedFormControl, field: FormlyFieldConfig): ValidationErrors;
export declare function dateRangeValidator(control: UntypedFormControl, field: FormlyFieldConfig): ValidationErrors;
