import { OnInit, TemplateRef } from '@angular/core';
import { FormlyFieldConfig } from '@ngx-formly/core';
import { SdsFormlyTypes } from '../models/formly-types';
import { ReadonlyOptions } from './readonly-options.model';
import * as i0 from "@angular/core";
export declare class ReadonlyLabelDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<ReadonlyLabelDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ReadonlyLabelDirective, "[sdsReadonlyLabel]", never, {}, {}, never, never, false, never>;
}
export declare class ReadonlyValueDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<ReadonlyValueDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ReadonlyValueDirective, "[sdsReadonlyValue]", never, {}, {}, never, never, false, never>;
}
/**
 * Wrapper level component for displaying readonly format for each formly types
 */
export declare class ReadonlyContainerComponent implements OnInit {
    labelTemplate: ReadonlyLabelDirective;
    valueTemplate: ReadonlyValueDirective;
    /**
     * Formlyfieldconfig that is used to generate the formlyform. If this value
     * is provided, the necessary information will be extracted from the given
     * field configuration, and all other inputs will be ignored.
     */
    formlyFieldConfig: FormlyFieldConfig;
    /**
     * Type of formly to display value for - will be ignored if formlyFieldConfig is defined
     */
    formlyType: string;
    /**
     * Label for the given value - will be ignored if formlyFieldConfig input is defined
     * */
    label: string;
    /**
     * Value of corresponding label - will be ignored if formlyFieldConfig is defined
     */
    value: any;
    /**
     * Additional information useful for displaying the value - will be ignored if formlyFieldConfig is defined
     */
    additionalConfig: ReadonlyOptions;
    sdsFormlyTypes: typeof SdsFormlyTypes;
    ngOnInit(): void;
    private assignAdditionalConfig;
    static ɵfac: i0.ɵɵFactoryDeclaration<ReadonlyContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ReadonlyContainerComponent, "sds-readonly-container", never, { "formlyFieldConfig": { "alias": "formlyFieldConfig"; "required": false; }; "formlyType": { "alias": "formlyType"; "required": false; }; "label": { "alias": "label"; "required": false; }; "value": { "alias": "value"; "required": false; }; "additionalConfig": { "alias": "additionalConfig"; "required": false; }; }, {}, ["labelTemplate", "valueTemplate"], never, false, never>;
}
