import { OnInit } from '@angular/core';
import { FieldType, FieldTypeConfig, FormlyFieldConfig } from '@ngx-formly/core';
import * as i0 from "@angular/core";
/**
 * Data model for table formly types' tableColumns template option
 */
export interface SdsTableColumn {
    /**
     * used as column header
     */
    label: string;
    /**
     * used internally to reference the column
     */
    columnName: string;
    /**
     * refers to which property of the data to render for the given column
     */
    property?: string;
    /**
     * refers to static text to render for the column
     */
    text?: string;
    /**
     * refers to a function that should return a string to render for the column.
     * The function takes in a single data element of the table
     */
    textFn?: (data: any) => string;
    /**
     * If the displayed value should be clickable, provide an onClick method
     */
    onClick?: (data: any, field: FormlyFieldConfig) => void;
}
export declare class FormlyFieldTableComponent extends FieldType<FieldTypeConfig> implements OnInit {
    parentFieldConfig: FormlyFieldConfig;
    displayedColumns: string[];
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormlyFieldTableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormlyFieldTableComponent, "sds-formly-field-table", never, {}, {}, never, never, false, never>;
}
