import { OnDestroy, OnInit } from '@angular/core';
import { FieldWrapper, FormlyFieldConfig } from '@ngx-formly/core';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class FormlyTabsWrapperComponent extends FieldWrapper implements OnInit, OnDestroy {
    _initialModel: any;
    toDestroy: Subscription;
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     * Updates field configurations for each tab content when a submit button is present.
     * If a submit button id is not defined in the input field's template options, then simply exits
     * If submit button id is defined, then we expect a button of type submit to exist
     * in the field config's field group, and attach submit handling logic to
     * the button's click event.
     * @param fieldConfig - the FormlyFieldConfig to transform into an array
     */
    updateFieldConfig(fieldConfig: FormlyFieldConfig): void;
    /**
     * Submit handling logic for a field config that contains a submit button.
     * Angular form keeps a pendingValue internally to keep track of values
     * that exist in the input field, but have not yet been updated as the model
     * to to restrictions on when to update (such as onBlur or Submit). Thus we manually
     * do the update by setting the form's value to its pending value, which will
     * trigger a model change event for clients to execute on
     * @param fieldConfig - The field config whose form control need to be updated
     */
    updateFieldModel(fieldConfig: FormlyFieldConfig): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormlyTabsWrapperComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormlyTabsWrapperComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
